LinuxQMISDK: authenticationData Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
authenticationData Struct Reference

## Data Fields
BYTE | context
WORD | dataLen
BYTE | data [1024]

## Detailed Description

This structure contains the Session Information.

Parameters

  context | Authenticate context. 0 - Runs the GSM algorithm (valid only on a 2GSIM card) 1 - Runs the CAVE algorithm (valid only on a RUIM card) 2 - GSM security context (valid only on a USIM application) 3 - 3G security context (valid only on a USIM application) 4 - VGCS/VBS security context (valid only on aUSIM application) 5 - GBA security context, Bootstrapping mode (valid only on a USIM or ISIM application) 6 - GBA security context, NAF Derivation mode (valid only on a USIM or ISIM application) 7 - MBMS security context, MSK Update mode (valid only on a USIM application) 8 - MBMS security context, MTK Generation mode (valid only on a USIM application) 9 - MBMS security context, MSK Deletion mode (valid only on a USIM application) 10 - MBMS security context, MUK Deletion mode (valid only on a USIM application) 11 - IMS AKA security context (valid only on aISIM application) 12 - HTTP-digest security context (valid only onan ISIM application) 13 - Compute IP authentication, CHAP (valid onlyon RUIM or CSIM) 14 - Compute IP authentication, MN-HA authenticator (valid only on RUIM or CSIM) 15 - Compute IP authentication, MIP-RRQ hash (valid only on RUIM or CSIM) 16 - Compute IP authentication, MN-AAA authenticator (valid only on RUIM or CSIM) 17 - Compute IP authentication, HRPD access authenticator (valid only on RUIM or CSIM) Other values are possible and reserved for future use.
  dataLen | Length of the following elements i.e. data.
  data[MAX_DESCRIPTION_LENGTH] | Authenticate Data.

## Field Documentation

BYTE authenticationData::context

BYTE authenticationData::data[1024]

WORD authenticationData::dataLen